Home | History | Annotate | Download | only in libpng

Lines Matching refs:ECHO

139 test "${ECHO+set}" = set || ECHO=${as_echo-'printf %s\n'}
168 func_dirname_result=`$ECHO "${1}" | $SED "$dirname"`
180 func_basename_result=`$ECHO "${1}" | $SED "$basename"`
199 func_dirname_result=`$ECHO "${1}" | $SED -e "$dirname"`
205 func_basename_result=`$ECHO "${1}" | $SED -e "$basename"`
218 .*) func_stripname_result=`$ECHO "${3}" | $SED "s%^${1}%%; s%\\\\${2}\$%%"`;;
219 *) func_stripname_result=`$ECHO "${3}" | $SED "s%^${1}%%; s%${2}\$%%"`;;
275 func_normal_abspath_tpath=`$ECHO "$func_normal_abspath_tpath" | $SED \
286 func_normal_abspath_tcomponent=`$ECHO "$func_normal_abspath_tpath" | $SED \
288 func_normal_abspath_tpath=`$ECHO "$func_normal_abspath_tpath" | $SED \
438 # Echo program name prefixed message, along with the current mode
442 $ECHO "$progname: ${opt_mode+$opt_mode: }$*"
446 # Echo program name prefixed message in verbose mode only.
458 # Invoke $ECHO with all args, space-separated.
461 $ECHO "$*"
465 # Echo program name prefixed message to standard error.
468 $ECHO "$progname: ${opt_mode+$opt_mode: }"${1+"$@"} 1>&2
472 # Echo program name prefixed warning message to standard error.
475 $opt_warning && $ECHO "$progname: ${opt_mode+$opt_mode: }warning: "${1+"$@"} 1>&2
482 # Echo program name prefixed message to standard error, and exit.
490 # Echo program name prefixed message to standard error, followed by
532 my_directory_path=`$ECHO "$my_directory_path" | $SED -e "$dirname"`
534 my_dir_list=`$ECHO "$my_dir_list" | $SED 's,:*$,,'`
584 $ECHO "$my_tmpdir"
598 func_quote_for_eval_unquoted_result=`$ECHO "$1" | $SED "$sed_quote_subst"` ;;
625 my_arg=`$ECHO "$1" | $SED \
703 func_tr_sh_result=`$ECHO "$1" | $SED 's/^\([0-9]\)/_\1/; s/[^a-zA-Z0-9_]/_/g'`
713 # Echo version message to standard output and exit.
736 # Echo short help message to standard output and exit.
747 echo
748 $ECHO "run \`$progname --help | more' for full usage"
753 # Echo long help message to standard output and exit,
785 # Echo program name prefixed message to standard error and set global
804 func_split_short_opt_name=`$ECHO "$1" | $SED "$my_sed_short_opt"`
805 func_split_short_opt_arg=`$ECHO "$1" | $SED "$my_sed_short_rest"`
817 func_split_long_opt_name=`$ECHO "$1" | $SED "$my_sed_long_opt"`
818 func_split_long_opt_arg=`$ECHO "$1" | $SED "$my_sed_long_arg"`
871 func_len_result=`expr "${1}" : ".*" 2>/dev/null || echo $max_cmd_len`
878 func_lo2o_result=`$ECHO "${1}" | $SED "$lo2o"`
885 func_xform_result=`$ECHO "${1}" | $SED 's/\.[^.]*$/.lo/'`
890 # Echo program name prefixed message to standard error, followed by
922 echo "host: $host"
924 echo "enable shared libraries"
926 echo "disable shared libraries"
929 echo "enable static libraries"
931 echo "disable static libraries"
1206 $ECHO "$help" 1>&2
1495 func_convert_core_file_wine_to_w32_result=`$ECHO "$func_convert_core_file_wine_to_w32_tmp" |
1579 func_convert_core_msys_to_w32_result=`( cmd //c echo "$1" ) 2>/dev/null |
1618 func_to_host_path_result=`echo "$3" |
2107 && $ECHO "X$libobj" | $GREP '[]~#^*{};<>?"'"'"' &()|`$[]' \
2138 output_obj=`$ECHO "$srcfile" | $SED 's%^.*/%%; s%\.[^.]*$%%'`.${objext}
2155 $ECHO "\
2170 $ECHO "$srcfile" > "$lockfile"
2206 $ECHO "\
2255 $ECHO "\
2308 $ECHO \
2322 $ECHO \
2346 $ECHO \
2366 $ECHO \
2378 $ECHO \
2395 $ECHO \
2462 $ECHO \
2480 echo
2481 $ECHO "Try \`$progname --help' for more information about other modes."
2498 echo
2638 eval "\$ECHO \"\$shlibpath_var=\$$shlibpath_var\""
2639 echo "export $shlibpath_var"
2641 $ECHO "$cmd$args"
2676 sysroot_regex=`$ECHO "$lt_sysroot" | $SED "$sed_make_literal_regex"`
2685 echo "removing references to $lt_sysroot and \`=' prefixes from $lib"
2718 echo "----------------------------------------------------------------------"
2719 echo "Libraries have been installed in:"
2721 $ECHO " $libdir"
2723 echo
2724 echo "If you ever happen to want to link against installed libraries"
2725 echo "in a given directory, LIBDIR, you must either use libtool, and"
2726 echo "specify the full pathname of the library, or use the \`-LLIBDIR'"
2727 echo "flag during linking and do at least one of the following:"
2729 echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
2730 echo " during execution"
2733 echo " - add LIBDIR to the \`$runpath_var' environment variable"
2734 echo " during linking"
2740 $ECHO " - use the \`$flag' linker flag"
2743 $ECHO " - have your system administrator run these commands:$admincmds"
2746 echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
2748 echo
2750 echo "See any operating system documentation about shared libraries for"
2753 echo "more information, such as the ld(1), crle(1) and ld.so(8) manual"
2754 echo "pages."
2757 echo "more information, such as the ld(1) and ld.so(8) manual pages."
2760 echo "----------------------------------------------------------------------"
2958 inst_prefix_dir=`$ECHO "$destdir" | $SED -e "s%$libdir\$%%"`
2971 relink_command=`$ECHO "$relink_command" | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%"`
2973 relink_command=`$ECHO "$relink_command" | $SED "s%@inst_prefix_dir@%%"`
3131 libfile="$libdir/"`$ECHO "$lib" | $SED 's%^.*/%%g'` ### testsuite: skip nested quoting test
3150 relink_command=`$ECHO "$relink_command" | $SED 's%@OUTPUT@%'"$outputname"'%g'`
3169 file=`$ECHO "$file$stripped_ext" | $SED "s%\([^/]*\)$%$objdir/\1%"`
3242 my_prefix=`$ECHO "$my_originator" | sed 's%[^a-zA-Z0-9]%_%g'`
3265 $opt_dry_run || $ECHO > "$output_objdir/$my_dlsyms" "\
3295 $opt_dry_run || echo ': @PROGRAM@ ' > "$nlist"
3298 progfiles=`$ECHO "$objs$old_deplibs" | $SP2NL | $SED "$lo2o" | $NL2SP`
3327 eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
3339 eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
3360 dlprefile_dlname=`source "$curr_lafile" && echo "$dlname"`
3372 eval '$ECHO ": $dlprefile_dlbasename" >> "$nlist"'
3375 eval '$ECHO ": $name " >> "$nlist"'
3383 eval '$ECHO ": $name " >> "$nlist"'
3391 eval '$ECHO ": $name " >> "$nlist"'
3424 echo '/* NONE */' >> "$output_objdir/$my_dlsyms"
3427 echo >> "$output_objdir/$my_dlsyms" "\
3449 echo >> "$output_objdir/$my_dlsyms" "\
3507 compile_command=`$ECHO "$compile_command" | $SED "s%@SYMFILE@%$output_objdir/$my_outputname.def $symfileobj%"`
3508 finalize_command=`$ECHO "$finalize_command" | $SED "s%@SYMFILE@%$output_objdir/$my_outputname.def $symfileobj%"`
3510 compile_command=`$ECHO "$compile_command" | $SED "s%@SYMFILE@%$symfileobj%"`
3511 finalize_command=`$ECHO "$finalize_command" | $SED "s%@SYMFILE@%$symfileobj%"`
3515 compile_command=`$ECHO "$compile_command" | $SED "s%@SYMFILE@%$symfileobj%"`
3516 finalize_command=`$ECHO "$finalize_command" | $SED "s%@SYMFILE@%$symfileobj%"`
3530 compile_command=`$ECHO "$compile_command" | $SED "s% @SYMFILE@%%"`
3531 finalize_command=`$ECHO "$finalize_command" | $SED "s% @SYMFILE@%%"`
3582 $ECHO "$win32_libid_type"
3614 match_literal=`$ECHO "$1" | $SED "$sed_make_literal_regex"`
3784 darwin_arches=`$ECHO "$darwin_arches" | $SED -e 's/.*are://'`
3840 $ECHO "\
3882 # When we are sourced in execute mode, \$file and \$ECHO are already set.
3886 qECHO=`$ECHO "$ECHO" | $SED "$sed_quote_subst"`
3887 $ECHO "\
3896 ECHO=\"$qECHO\"
3921 lt_dump_D=\`\$ECHO \"X\$lt_script_arg0\" | $SED -e 's/^X//' -e 's%/[^/]*$%%'\`
3923 lt_dump_F=\`\$ECHO \"X\$lt_script_arg0\" | $SED -e 's/^X//' -e 's%^.*/%%'\`
3928 \$ECHO \"Unrecognized --lt- option: '\$lt_opt'\" 1>&2
3936 echo \"${outputname}:${output}:\${LINENO}: libtool wrapper (GNU $PACKAGE$TIMESTAMP) $VERSION\" 1>&2
3947 \$ECHO \"${outputname}:${output}:\${LINENO}: newargv[\$lt_dump_args_N]: \$lt_arg\"
3959 $ECHO "\
3961 \$ECHO \"${outputname}:${output}:\${LINENO}: newargv[0]: \$progdir\\\\\$program\" 1>&2
3969 $ECHO "\
3971 \$ECHO \"${outputname}:${output}:\${LINENO}: newargv[0]: \$progdir/\$program\" 1>&2
3978 $ECHO "\
3979 \$ECHO \"\$0: cannot exec \$program \$*\" 1>&2
4006 thisdir=\`\$ECHO \"\$file\" | $SED 's%/[^/]*$%%'\`
4012 destdir=\`\$ECHO \"\$file\" | $SED 's%/[^/]*\$%%'\`
4022 file=\`\$ECHO \"\$file\" | $SED 's%^.*/%%'\`
4036 *[\\\\/]$objdir ) thisdir=\`\$ECHO \"\$thisdir\" | $SED 's%[\\\\/][^\\\\/]*$%%'\` ;;
4047 $ECHO "\
4063 $ECHO "\
4069 $ECHO \"\$relink_command_output\" >&2
4081 $ECHO "\
4087 $ECHO "\
4097 $ECHO "\
4105 $ECHO "\
4111 $shlibpath_var=\`\$ECHO \"\$$shlibpath_var\" | $SED 's/::*\$//'\`
4117 $ECHO "\
4124 \$ECHO \"\$0: error: \\\`\$progdir/\$program' does not exist\" 1>&2
4125 \$ECHO \"This script is just a wrapper for \$program.\" 1>&2
4126 \$ECHO \"See the $PACKAGE documentation for more information.\" 1>&2
4380 echo " setmode(1,_O_BINARY);"
5585 testbindir=`$ECHO "$dir" | $SED 's*/lib$*/bin*'`
6017 eval shlib_search_path=\`\$ECHO \"\${$shlibpath_var}\" \| \$SED \'s/:/ /g\'\`
6330 if eval "\$ECHO \"$deplib\"" 2>/dev/null | $SED 10q \
6340 echo
6341 $ECHO "*** Warning: Trying to link with static lib archive $deplib."
6342 echo "*** I have the capability to make that library automatically link in when"
6343 echo "*** you link to this library. But I can only do this if you have a"
6344 echo "*** shared version of the library, which you do not appear to have"
6345 echo "*** because the file extensions .$libext of this argument makes me believe"
6346 echo "*** that it is just a static archive that I should not use here."
6348 echo
6349 $ECHO "*** Warning: Linking the shared library $output against the"
6350 $ECHO "*** static library $deplib is not portable!"
6421 tmp_inherited_linker_flags=`$ECHO "$inherited_linker_flags" | $SED 's/-framework \([^ $]*\)/\1.ltframework/g'`
6429 dependency_libs=`$ECHO " $dependency_libs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
6716 echo
6718 $ECHO "*** Warning: Linking the executable $output against the loadable module"
6720 $ECHO "*** Warning: Linking the shared library $output against the loadable module"
6722 $ECHO "*** $linklib is not portable!"
6755 libname=`eval "\\$ECHO \"$libname_spec\""`
6817 $ECHO "*** Warning: lib $linklib is a module, not a shared library"
6819 echo
6820 echo "*** And there doesn't seem to be a static archive available"
6821 echo "*** The link will probably fail, sorry"
6961 echo
6962 $ECHO "*** Warning: This system can not link to static lib archive $lib."
6963 echo "*** I have the capability to make that library automatically link in when"
6964 echo "*** you link to this library. But I can only do this if you have a"
6965 echo "*** shared version of the library, which you do not appear to have."
6967 echo "*** But as you try to build a module library, libtool will still create "
6968 echo "*** a static module, that should work as long as the dlopening application"
6969 echo "*** is linked with the -dlopen flag to resolve symbols at runtime."
6971 echo
6972 echo "*** However, this would only work if libtool was able to extract symbol"
6973 echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
6974 echo "*** not find such a program. So, this module is probably useless."
6975 echo "*** \`nm' from GNU binutils and a full rebuild may help."
7103 compiler_flags="$compiler_flags "`$ECHO " $new_inherited_linker_flags" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
7271 echo
7272 $ECHO "*** Warning: Linking the shared library $output against the non-libtool"
7273 $ECHO "*** objects $objs is not portable!"
7548 tempremovelist=`$ECHO "$output_objdir/*"`
7555 if $ECHO "$p" | $EGREP -e "$precious_files_regex" >/dev/null 2>&1
7574 oldobjs="$objs "`$ECHO "$libobjs" | $SP2NL | $SED "/\.${libext}$/d; $lo2o" | $NL2SP`
7579 # lib_search_path=`$ECHO "$lib_search_path " | $SED "s% $path % %g"`
7580 # deplibs=`$ECHO "$deplibs " | $SED "s% -L$path % %g"`
7581 # dependency_libs=`$ECHO "$dependency_libs " | $SED "s% -L$path % %g"`
7700 libname=`eval "\\$ECHO \"$libname_spec\""`
7701 deplib_matches=`eval "\\$ECHO \"$library_names_spec\""`
7708 echo
7709 $ECHO "*** Warning: dynamic linker does not accept needed library $i."
7710 echo "*** I have the capability to make that library automatically link in when"
7711 echo "*** you link to this library. But I can only do this if you have a"
7712 echo "*** shared version of the library, which I believe you do not have"
7713 echo "*** because a test_compile did reveal that the linker did not use it for"
7714 echo "*** its dynamic dependency list that programs get resolved with at runtime."
7743 libname=`eval "\\$ECHO \"$libname_spec\""`
7744 deplib_matches=`eval "\\$ECHO \"$library_names_spec\""`
7751 echo
7752 $ECHO "*** Warning: dynamic linker does not accept needed library $i."
7753 echo "*** I have the capability to make that library automatically link in when"
7754 echo "*** you link to this library. But I can only do this if you have a"
7755 echo "*** shared version of the library, which you do not appear to have"
7756 echo "*** because a test_compile did reveal that the linker did not use this one"
7757 echo "*** as a dynamic dependency that programs can get resolved with at runtime."
7762 echo
7763 $ECHO "*** Warning! Library $i is needed by this library but I was not able to"
7764 echo "*** make it link in! You will probably need to install it or some"
7765 echo "*** library that it depends on before this library will be fully"
7766 echo "*** functional. Installing it before continuing would be even better."
7793 libname=`eval "\\$ECHO \"$libname_spec\""`
7824 *) potlib=`$ECHO "$potlib" | $SED 's,[^/]*$,,'`"$potliblink";;
7839 echo
7840 $ECHO "*** Warning: linker path does not have real file for library $a_deplib."
7841 echo "*** I have the capability to make that library automatically link in when"
7842 echo "*** you link to this library. But I can only do this if you have a"
7843 echo "*** shared version of the library, which you do not appear to have"
7844 echo "*** because I did check the linker path looking for a file starting"
7846 $ECHO "*** with $libname but no candidates were found. (...for file magic test)"
7848 $ECHO "*** with $libname and none of the candidates passed a file format test"
7849 $ECHO "*** using a file magic. Last file checked: $potlib"
7877 libname=`eval "\\$ECHO \"$libname_spec\""`
7882 if eval "\$ECHO \"$potent_lib\"" 2>/dev/null | $SED 10q | \
7893 echo
7894 $ECHO "*** Warning: linker path does not have real file for library $a_deplib."
7895 echo "*** I have the capability to make that library automatically link in when"
7896 echo "*** you link to this library. But I can only do this if you have a"
7897 echo "*** shared version of the library, which you do not appear to have"
7898 echo "*** because I did check the linker path looking for a file starting"
7900 $ECHO "*** with $libname but no candidates were found. (...for regex pattern test)"
7902 $ECHO "*** with $libname and none of the candidates passed a file format test"
7903 $ECHO "*** using a regex pattern. Last file checked: $potlib"
7916 tmp_deplibs=`$ECHO " $deplibs" | $SED 's/ -lc$//; s/ -[LR][^ ]*//g'`
7920 tmp_deplibs=`$ECHO " $tmp_deplibs" | $SED "s,$i,,"`
7925 echo
7927 echo "*** Warning: inter-library dependencies are not supported in this platform."
7929 echo "*** Warning: inter-library dependencies are not known to be supported."
7931 echo "*** All declared inter-library dependencies are being dropped."
7946 newdeplibs=`$ECHO " $newdeplibs" | $SED 's/ -lc / System.ltframework /'`
7952 echo
7953 echo "*** Warning: libtool could not satisfy all declared inter-library"
7954 $ECHO "*** dependencies of module $libname. Therefore, libtool will create"
7955 echo "*** a static module, that should work as long as the dlopening"
7956 echo "*** application is linked with the -dlopen flag."
7958 echo
7959 echo "*** However, this would only work if libtool was able to extract symbol"
7960 echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
7961 echo "*** not find such a program. So, this module is probably useless."
7962 echo "*** \`nm' from GNU binutils and a full rebuild may help."
7972 echo "*** The inter-library dependencies that have been dropped here will be"
7973 echo "*** automatically added whenever a program is linked with this library"
7974 echo "*** or is declared to -dlopen it."
7977 echo
7978 echo "*** Since this library must not contain undefined symbols,"
7979 echo "*** because either the platform does not support them or"
7980 echo "*** it was explicitly requested with -no-undefined,"
7981 echo "*** libtool will only create a static version of it."
7998 newdeplibs=`$ECHO " $newdeplibs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
7999 new_inherited_linker_flags=`$ECHO " $new_inherited_linker_flags" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
8000 deplibs=`$ECHO " $deplibs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
8125 test -z "$pic_flag" && libobjs=`$ECHO "$libobjs" | $SP2NL | $SED "$lo2o" | $NL2SP`
8196 $ECHO "$func_to_tool_file_result"
8223 $opt_dry_run || eval '$ECHO "$include_expsyms" | $SP2NL >> "$tmp_export_symbols"'
8338 echo 'INPUT (' > $output
8342 $ECHO "$func_to_tool_file_result" >> $output
8344 echo ')' >> $output
8362 $ECHO "$func_to_tool_file_result" >> $output
8472 $opt_dry_run || eval '$ECHO "$include_expsyms" | $SP2NL >> "$tmp_export_symbols"'
8637 reload_conv_objs=$reload_objs\ `$ECHO "$tmp_whole_archive_flags" | $SED 's|,| |g'`
8651 reload_objs="$objs$old_deplibs "`$ECHO "$libobjs" | $SP2NL | $SED "/\.${libext}$/d; /\.lib$/d; $lo2o" | $NL2SP`" $reload_conv_objs" ### testsuite: skip nested quoting test
8672 # $show "echo timestamp > $libobj"
8673 # $opt_dry_run || eval "echo timestamp > $libobj" || exit $?
8711 compile_deplibs=`$ECHO " $compile_deplibs" | $SED 's/ -lc / System.ltframework /'`
8712 finalize_deplibs=`$ECHO " $finalize_deplibs" | $SED 's/ -lc / System.ltframework /'`
8729 compile_deplibs=`$ECHO " $compile_deplibs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
8730 finalize_deplibs=`$ECHO " $finalize_deplibs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
8807 testbindir=`${ECHO} "$libdir" | ${SED} -e 's*/lib$*/bin*'`
8867 compile_command=`$ECHO "$compile_command" | $SP2NL | $SED "$lo2o" | $NL2SP`
8868 finalize_command=`$ECHO "$finalize_command" | $SP2NL | $SED "$lo2o" | $NL2SP`
8897 compile_command=`$ECHO "$compile_command" | $SED 's%@OUTPUT@%'"$output"'%g'`
8950 link_command=`$ECHO "$link_command" | $SED 's%@OUTPUT@%'"$output"'%g'`
8976 relink_command=`$ECHO "$compile_var$compile_command$compile_rpath" | $SED 's%@OUTPUT@%\$progdir/\$file%g'`
8988 link_command=`$ECHO "$link_command" | $SED 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
9018 relink_command=`$ECHO "$relink_command" | $SED "$sed_quote_subst"`
9135 $ECHO "$func_basename_result"
9139 echo "copying selected object files to avoid basename conflicts..."
9184 $ECHO "$func_to_tool_file_result"
9262 relink_command=`$ECHO "$relink_command" | $SED "$sed_quote_subst"`
9380 $ECHO > $output "\
9423 $ECHO >> $output "\
9647 build_old_libs=`case $build_libtool_libs in yes) echo no;; *) echo yes;; esac`